Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.request
Interface MethodEntryRequest

All Superinterfaces:
  EventRequest, Mirror

public interface MethodEntryRequest
extends EventRequest

Request for notification when a method is invoked in the target VM. When an enabled MethodEntryRequest is satisfied, an `event set` containing a `MethodEntryEvent` will be placed on the `EventQueue`. The collection of existing MethodEntryRequests is managed by the `EventRequestManager`

Since:
  1.3
See Also:
  `MethodEntryEvent`, `EventQueue`, `EventRequestManager`

Fields inherited from interface com.sun.jdi.request.EventRequest
`SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

Method Summary
`void` | `addClassExclusionFilter(String classPattern)` Restricts the events generated by this request to those whose method is in a class whose name does not match this restricted regular expression.
`void` | `addClassFilter(ReferenceType refType)` Restricts the events generated by this request to those whose method is in the given reference type or any of its subtypes.
`void` | `addClassFilter(String classPattern)` Restricts the events generated by this request to those whose method is in a class whose name matches this restricted regular expression.
`void` | `addThreadFilter(ThreadReference thread)` Restricts the events generated by this request to those in this thread.

Methods inherited from interface com.sun.jdi.request.EventRequest
`addCountFilter, disable, enable, getProperty, isEnabled, putProperty, setEnabled, setSuspendPolicy, suspendPolicy`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Method Detail

### addThreadFilter

    public void addThreadFilter(ThreadReference thread)

  Restricts the events generated by this request to those in this thread.
  Parameters:
    `thread` - the thread to filter on.
  Throws:
    `VMMismatchException` - if a `Mirror` argument and this mirror do not belong to the same `VirtualMachine`.
    `InvalidRequestStateException` - if this request is currently enabled. Filters may be added only to disabled requests.

### addClassFilter

    public void addClassFilter(ReferenceType refType)

  Restricts the events generated by this request to those whose method is in the given reference type or any of its subtypes. An event will be generated for any location in a reference type that can be safely cast to the given reference type.
  Parameters:
    `refType` - the reference type to filter on.
  Throws:
    `VMMismatchException` - if a `Mirror` argument and this mirror do not belong to the same `VirtualMachine`.
    `InvalidRequestStateException` - if this request is currently enabled. Filters may be added only to disabled requests.

### addClassFilter

    public void addClassFilter(String classPattern)

  Restricts the events generated by this request to those whose method is in a class whose name matches this restricted regular expression. Regular expressions are limited to exact matches and patterns that begin with '*' or end with '*'; for example, "*.Foo" or "java.*".
  Parameters:
    `classPattern` - the pattern String to filter for.
  Throws:
    `InvalidRequestStateException` - if this request is currently enabled. Filters may be added only to disabled requests.

### addClassExclusionFilter

    public void addClassExclusionFilter(String classPattern)

  Restricts the events generated by this request to those whose method is in a class whose name does not match this restricted regular expression. e.g. "java.*" or "*.Foo".
  Parameters:
    `classPattern` - the pattern String to filter against.
  Throws:
    `InvalidRequestStateException` - if this request is currently enabled. Filters may be added only to disabled requests.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD